Description

Hello there,

I would like to create some OSG visualisation. It seems that the required OSG version is 3.5.6 according to release notes. This

version seems kind of outdated as is not even offer at: http://www.openscenegraph.com/index.php/download-section/stable-releases

. Do you consider upgrade to a newer version e.g. 3.6.5 or can we already use the new version?

B.R.

Petr

Solution:

an OSG upgrade is unfortunately impossible for good. OSG does not retain ABI compatibility cross version, so this would would

break all existing visualization implementations.

In fact, OSG does not even guarantee ABI stability within a single release based on the specific configuration chose, so you must link

against https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk/dw/osg/3.5.6/stable and not whatever other version

you might be able to obtain from upstream sources.

However, since OSG as a whole is pretty much abandon ware (and even 3.6.5 was just a development-snapshot in middle of some

ongoing refactoring refactoring), there isn't much lost or gained in stability or features from sticking to 3.5.6 anyway.

History

#1 - 2022-09-07 06:53 - hidden

Hello Petr,

an OSG upgrade is unfortunately impossible for good. OSG does not retain ABI compatibility cross version, so this would would break all existing

visualization implementations.

In fact, OSG does not even guarantee ABI stability within a single release based on the specific configuration chose, so you must link against 

https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk/dw/osg/3.5.6/stable and not whatever other version you might be able to

obtain from upstream sources.

However, since OSG  as a whole is pretty much abandon ware (and even 3.6.5 was just a development-snapshot in middle of some ongoing

refactoring refactoring), there isn't much lost or gained in stability or features from sticking to 3.5.6 anyway.

Best regards,

Andreas

#2 - 2022-09-07 06:58 - hidden

Thank you for explanation Andreas. I think that this ticket can be closed now.

#3 - 2022-09-07 09:22 - hidden

Thank you for you feedback.

The Ticket will be closed.
http://www.openscenegraph.com/index.php/download-section/stable-releases
https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk/dw/osg/3.5.6/stable
https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk/dw/osg/3.5.6/stable


Best Regards

Sascha

#4 - 2022-09-07 09:26 - hidden

- Status changed from New to To Be Closed

- Resolution set to Solved Issue

- Topic set to DisplayTB::3DSceneDisplay

#5 - 2022-09-09 07:34 - hidden

- Description updated

#7 - 2023-04-03 07:43 - hidden

- Project changed from 27 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
